Subject: bug#3370: 23.0.94; `comment-region' indents comment chars inappropriately

From: Chong Yidong <[email-masked]>
Date: Mon, 25 May 2009 09:27:40 -0400

"Drew Adams" <[email-masked]> writes:

> Why would everything else be equal? What's wrong with considering what
> Emacs has always done, and perhaps even thinking about breaking
> existing code (such as what I reported)? Everything else is not equal.

Obviously.  But if changing the default provides significantly better
behavior, there is case for doing it anyway.  My point is that this
default is indeed better.

>> I think `indent' is a better comment style.  For instance, all the
>> Emacs sources use that style.
>
> If you are referring to ;; always being indented instead of starting a
> line (which is not what I reported about), then no, there are plenty
> of source code lines that start with ;; - in file headers, for
> instance.

The overwhelming majority of commented lines are indented, including
file headers, which are indented to top-level (column 0).